# Journal de Bord

## Entrée 1 - 17.01.2025

Avancées sur le premier module **Cahier de notes, cahier de laboratoire** :

- Fin de la partie sur les étiquettes et l'indexation → idée de créer un système d'indexation de mes notes
- Création du journal de bord au cours des exercices pratiques de la fin du module

Fin du premier module **Cahier de notes, cahier de laboratoire**

Début du deuxième module **Le document computationnel** :

- Exemples récents
- Pourquoi est-ce difficile ?
    - Toujours essayer de publier les données / méthodologies / résultats complets / tableaux / ... car tout ne rentre pas dans un article
    - Si seulement certaines personnes autorisées à accéder à ces informations, accès privé (ou anonymisation ?)
    - Attention quand même à ne pas non plus innonder de contenu non-pertinent
- Le document computationnel : principe
    - L'article est la partie émergée de l'iceberg, ça ne suffit pas
    - Il faut pouvoir conserver tout ce qui a mené a l'obtention des résultats (trial & error)
    - Notebook contient du code, du texte et des résultats, ce qui permet de bien retracer le processus en un seul document
- Prise en main de Jupyter
    - Cellules de différents types : Markdown, code, ...
    - Complétion automatique
    - Pour intégrer les résultats, indiquer qu'on les veux inline : %matplotlib inline par exemple
    - Pour utiliser du code dans un autre langage : %%latex par exempe
    - Commits directement intégrés, sinon exports PDF/HTML/LaTeX
    - Visibilité des cellules contrôlables